### Function

# GObject param_spec_override

since: 2.4

#### Declaration [src]

    GParamSpec*
    g_param_spec_override (
      const gchar* name,
      GParamSpec* overridden
    )

#### Description [src]

Creates a new property of type `GParamSpecOverride`. This is used to direct operations to another paramspec, and will not be directly useful unless you are implementing a new base type similar to GObject.

Available since: 2.4

This function is not directly available to language bindings.

#### Parameters

`name`

  Type: `const gchar*`

  The name of the property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`overridden`

  Type: `GParamSpec`

  The property that is being overridden.

  The data is owned by the caller of the function.

#### Return value

Type: `GParamSpec`

The newly created `GParamSpec`.

The data is owned by the called function.